{% load fontawesome_5 %}

<div class="tweet-box">
    <div class="tweet-text">{{ message.text }}</div>
    <div class="tweet-date">{{ message.created_at }}</div>
    <div class="tweet-stats">
        <div {% if message.retweeted %}class="tweet-favourited"{% endif %}
            >{% fa5_icon "retweet" "fas" %} {{ message.favorite_count }}</div>

        {% if message.retweeted %}
            <div class="tweet-retweeted">{% fa5_icon "heart" "fas" %} {{ message.retweet_count }}</div>
        {% else %}
            <div>{% fa5_icon "heart" "far" %} {{ message.retweet_count }}</div>
        {% endif %}

        <div><a href="{{ message.url }}">{% fa5_icon "external-link-alt" "fas" %} </a></div>
    </div>
</div>
